import request from '/@/utils/request';
export function goalManagementApi() {
    return {
        // 目标设置、目标指标分解列表
        getTargetMngList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetMng/page/list',
                method: 'post',
                data: params
            });
        },
        // 目标设置详情
        getTargetMngDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetMng/selectOne/${params}`,
                method: 'get'
            });
        },
        // 目标设置新增或者修改数据
        getTargetMngAddOrupdata: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetMng/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        // 目标设置删除
        getTargetMngDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetMng/delete`,
                method: 'post',
                data: params
            });
        },
        // 目标指标分解-新增或者修改数据
        gettargetDivideDetail: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDivideDetail/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        // 统计
        getEquipmentInfo: () => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/equipmentInfo/statistics',
                method: 'get'
            });
        },
        // 目标责任书 分页查询数据
        gettargetDutyfileInfoList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutyfileInfo/page/list',
                method: 'post',
                data: params
            });
        },
        // 目标责任书 查询单条数据
        gettargetDutyfileInfoDetail: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutyfileInfo/selectOne/${params}`,
                method: 'get'
            });
        },
        // 目标责任书 新增或者修改数据
        gettargetDutyfileInfoAddorUpdata: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutyfileInfo/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        // 目标责任书 删除
        gettargetDutyfileInfoDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutyfileInfo/delete`,
                method: 'post',
                data: params
            });
        },
        // 奖惩标准设定 分页查询数据
        getrewardPunishmentStandardList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/rewardPunishmentStandard/page/list',
                method: 'post',
                data: params
            });
        },
        // 奖惩标准设定 查询单条数据
        getrewardPunishmentStandardDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentStandard/selectOne/${params}`,
                method: 'get'
            });
        },
        // 奖惩标准设定 新增或者修改数据
        getrewardPunishmentStandardaddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/rewardPunishmentStandard/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        // 奖惩标准设定 删除
        getrewardPunishmentStandardDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentStandard/delete`,
                method: 'post',
                data: params
            });
        },
        // 奖惩记录 分页查询数据
        getrewardPunishmentList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/rewardPunishmentDetail/page/list',
                method: 'post',
                data: params
            });
        },
        // 奖惩记录 查询单条数据
        getrewardPunishmentDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentDetail/selectOne/${params}`,
                method: 'get'
            });
        },
        // 奖惩记录 新增或者修改数据
        getrewardPunishmentAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentDetail/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        // 奖惩记录 删除
        getrewardPunishmentDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/rewardPunishmentDetail/delete`,
                method: 'post',
                data: params
            });
        },
        // 绩效考核管理 安全考核管理 分页查询数据
        getexamineMngList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/examineMng/page/list',
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 安全考核管理 查询单条数据
        getexamineMngDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineMng/selectOne/${params}`,
                method: 'get'
            });
        },
        //  绩效考核管理 安全考核管理 新增或者修改数据
        getexamineMngAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineMng/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 安全考核管理 删除
        getexamineMngDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineMng/delete`,
                method: 'post',
                data: params
            });
        },
        // 绩效考核管理 考核标准设定 分页查询数据
        getexamineTemplateList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/examineTemplate/page/list',
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 考核标准设定 查询单条数据
        getexamineTemplateDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineTemplate/selectOne/${params}`,
                method: 'get'
            });
        },
        //  绩效考核管理 考核标准设定 新增或者修改数据
        getexamineTemplateAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineTemplate/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        //  绩效考核管理 考核标准设定 删除
        getexamineTemplateDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/examineTemplate/delete`,
                method: 'post',
                data: params
            });
        },
        // 目标汇总 分页查询数据
        gettargetDutySummaryList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutySummary/page/list',
                method: 'post',
                data: params
            });
        },
        //  目标汇总 查询单条数据
        gettargetDutySummaryDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutySummary/selectOne/${params}`,
                method: 'get'
            });
        },
        //  目标汇总 新增或者修改数据
        gettargetDutySummaryAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutySummary/addOrUpdate`,
                method: 'post',
                data: params
            });
        },
        //  目标汇总 删除
        gettargetDutySummaryDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutySummary/delete?ids=${params}`,
                method: 'get'
            });
        },
        //安全目标考核 列表
        gettargetExamineList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetExamine/page/list',
                method: 'post',
                data: params
            });
        },
        // 安全目标考核 查询单条数据
        gettargetExamineDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetExamine/selectOne/${params}`,
                method: 'get'
            });
        },
        // 安全目标考核 新增或者修改数据
        gettargetExamineAddOrUpdate: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetExamine/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        //   目标检查上报 分页查询数据
        getworkApproveList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetMng/checkAndSubimt/list',
                method: 'post',
                data: params
            });
        },
        //   目标检查上报 查看审批流程
        getworkApproveListCode: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutyWorkApprove/page/list',
                method: 'post',
                data: params
            });
        },
        //   目标检查上报 分页查询检查记录
        getworkApproveListCheckData: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutyWorkApprove/page/listCheckData',
                method: 'post',
                data: params
            });
        },
        //   目标检查上报 查询单条数据
        getworkApproveDetail: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetDutyWorkApprove/selectOne/${params}`,
                method: 'get'
            });
        },

        //   目标检查上报 新增数据
        getworkApproveAdd: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutyWorkApprove/add',
                method: 'post',
                data: params
            });
        },
        //   目标检查上报 新增数据
        getworkApproveUpdata: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutyWorkApprove/update',
                method: 'post',
                data: params
            });
        },
        //   目标检查上报 删除
        getworkApproveDelete: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetDutyWorkApprove/delete',
                method: 'post',
                data: params
            });
        },
        // 部门树
        getTreedepartment: () => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/department/list',
                method: 'post'
            });
        },
        // 人员
        getManName: (params: any) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/account/dep/list?depId=${params}`,
                method: 'get'
            });
        },
        beforeUploadFile(fileName1: string, fileName2: string) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/minio/file/presign?prefixName=' + fileName1 + '&suffixName=' + fileName2,
                method: 'get'
            });
        },
        searchFile(fileName: string) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/minio/file/view?obj=' + fileName,
                method: 'get'
            });
        },
        // 应急统计
        emergencyStat(params: object) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyCount/emergencyDrillExecute/count`,
                method: 'post',
                data: params
            });
        },
        // 目标分类 分页查询数据
        gettargetClassList(params: object) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetType/page/list',
                method: 'post',
                data: params
            });
        },
        // 目标分类 查询单条数据
        gettargetClassDetail(params: any) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetType/selectOne/${params}`,
                method: 'get'
            });
        },
        // 目标分类 新增或者修改数据
        gettargetClassAdd(params: object) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetType/addOrUpdate',
                method: 'post',
                data: params
            });
        },
        // 目标分类 删除
        gettargetClassDelete(params: any) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetType/delete',
                method: 'post',
                data: params
            });
        },
        // 目标分类 查询所有数据All
        gettargetClassAll(params: any) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/targetType/page/listAll',
                method: 'post',
                data: params
            });
        },
        // 统计  查询应急物资
        emergencySuppliesCount(params: any) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/emergencyCount/emergencySupplies/count',
                method: 'post',
                data: params
            });
        },
        // 统计  事故快报
        accidentReportCount(params: any) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/accidentCount/accidentReport/count',
                method: 'post',
                data: params
            });
        },
        // 目标 统计
        gettargetstatistics(params: any) {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/targetMng/statistics?targetType=${params}`,
                method: 'get'
                // data:params
            });
        }
    };
}
